LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces
weakref.hxx File Reference
`#include <com/sun/star/uno/XInterface.hpp>`
`#include <cppuhelper/cppuhelperdllapi.h>`

Go to the source code of this file.

## Classes
class | com::sun::star::uno::WeakReferenceHelper
| The WeakReferenceHelper holds a weak reference to an object. More...
class | com::sun::star::uno::WeakReference< interface_type >
| The WeakReference<> holds a weak reference to an object. More...

## Namespaces
| com
| com::sun
| com::sun::star
| com::sun::star::uno